package de.szut.casino.coinflip;

import de.szut.casino.shared.dto.BetDto;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class CoinflipDto extends BetDto {
    @NotNull(message = "chosen side cannot be null")
    private CoinSide coinSide;

    public CoinflipDto(BigDecimal betAmount, CoinSide coinSide) {
        super(betAmount);
        this.coinSide = coinSide;
    }
}
